### R code from vignette source 'int64.Rnw'

###################################################
### code chunk number 1: int64.Rnw:29-31
###################################################
prettyVersion <- packageDescription("int64")$Version
prettyDate <- format(Sys.Date(), "%B %e, %Y")


###################################################
### code chunk number 2: int64.Rnw:34-35
###################################################
require( int64 )


###################################################
### code chunk number 3: int64.Rnw:86-104
###################################################
# create a new int64 vector
x <- int64( 4 )

# set a subset of values
x[1:2] <- 1:2 # via integers
x[3:4] <- c("123456789123456", "-9876543219876") # ... or characters
x

# convert integer or character vectors into int64 vectors
x <- as.int64( 1:6 )
x
y <- as.int64( c("-1234", "1234" ) )
y

# create a data frame with a column of int64
df <- data.frame( a = 1:4 )
df$y <- as.int64( 1:4 )
df


###################################################
### code chunk number 4: int64.Rnw:114-115
###################################################
str( as.int64( 1:2 ) )


###################################################
### code chunk number 5: int64.Rnw:138-142
###################################################
first.int <- as.int64( "-123" )[[1L]][1L]
first <- binary( first.int)@data
second.int <- as.int64( "-123" )[[1L]][2L]
second <- binary( second.int )@data


###################################################
### code chunk number 6: int64.Rnw:173-175
###################################################
int64(3)
uint64(10)


###################################################
### code chunk number 7: int64.Rnw:184-186
###################################################
as.int64( 1:4 )
as.uint64( c("123456789", "987654321987654321" ) )


###################################################
### code chunk number 8: int64.Rnw:198-202
###################################################
x <- as.int64( 1:4 )
x[1:2]
x[3:4] <- 5:6
x


###################################################
### code chunk number 9: int64.Rnw:210-217
###################################################
x <- as.int64( 1:4 )
x + 1L
x - 1:2
x * x
x / 2L
x %% 2L
x %/% 2L


###################################################
### code chunk number 10: int64.Rnw:225-232
###################################################
x <- as.int64( 1:5 )
x < 3L
x > 6L - x
x != 3L
x == 4L
x <= 3L
x >= 5L


###################################################
### code chunk number 11: int64.Rnw:240-248
###################################################
x <- as.int64( 1:5 )
min( x )
max( x )
range( x )
prod( x )
sum( x )
any( x )
all( x )


###################################################
### code chunk number 12: int64.Rnw:257-261
###################################################
binary( 1:4 ) # integer
binary( c(1.2, 1.3) ) # numeric
binary( as.int64( 1:4 ) ) # signed 64 bit integer (int64)
binary( as.uint64( 1:4 ) ) # unsigned 64 bit integer (uint64)


###################################################
### code chunk number 13: int64.Rnw:269-272
###################################################
numeric_limits( "integer" )
numeric_limits( "int64" )
numeric_limits( "uint64" )


###################################################
### code chunk number 14: int64.Rnw:293-299
###################################################
tf <- tempfile()
df <- data.frame( x = 1:10, y = 1:10, z = 1:10 )
write.table( df, tf, sep = ",", row.names = FALSE )
df <- read.csv( tf, colClasses = c("integer", "int64", "uint64" ) )
df
sapply( df, class )


